#!/usr/bin/env python
# -*- coding:utf-8 -*-

import sys

try:
  import gtk
except:
  print "Error Application could not work whitout gtk."
  sys.exit(1)


import ILPSetup
import ILPModel
import ILPView

import re
from optparse import OptionParser

__version__ = '0.1'

if __name__ == '__main__':

  try:
    gtk.init_check()
  except RuntimeError:
    print "Error during gtk initialization!"
    sys.exit(1)

  parser = OptionParser()

  parser.add_option("-p","--project",dest="project_name",
                    help="set the project name to open")

  (options, args) = parser.parse_args()

  console = ILPSetup.Console()
  setup = ILPSetup.Setup(console)
  projectmanager = ILPModel.ProjectManager(console, setup)
  view = ILPView.ILPView(setup, projectmanager)

  #  if setup._projecttoopen != []:
  for projname in setup._projecttoopen:
    view.AutoOpen(projname)
  if options.project_name != None:
    view.AutoOpen(options.project_name)

    
    
  gtk.main()

  
