#! /usr/bin/env python

# Licence ???

"""Setup script for the Ilptool module distribution.

"""

from distutils.core import setup
#from distutils.command import check

# Get the version number from the __init__ file:
from ILPManager import __version__

long_description = """\
ILManager is a Python package that allows you ...
"""

setup (
    # Distribution meta-data
    name='Ilptool',
    version='0.1',
    description='A Python interface to the ilptool program.',
    long_description=long_description,
    author='David',
    author_email='david@here.fr',
    url='http://webdali.univ-perp.fr',
    license='BSD',
    # This line is a workaround for a spelling error in earlier
    # versions of distutils.  The error has been fixed as of
    # python2.3, but we leave this line here for compatibility with
    # older python versions.
    #    licence='???',

    # Description of the package in the distribution
    package_dir={'Ilptool' : '.'},
    packages=['Ilptool'],
    scripts=['ILPManager.py'],
    py_modules=['ILPView' ,'ILPShow','ILPModel', 'ILPSetup'],
    #    requires=['numpy' , 'mytoto'],
    provides = ["Ilptool (0.1)"],
    requires = ["Gnuplot(>=1.8)", "numpy(>=1.0.1)" , "networkx(>=1.0.1)", "matplotlib(>=0.90.0)"],
    )

#check()
